{% set firstColumn %}
    <twig:Molecules:Link:LogoHomeLink/>
{% endset %}

{% set secondColumn %}
    <twig:Molecules:Navigation:Menu menuItems="{{ this.menuItems }}"></twig:Molecules:Navigation:Menu>
{% endset %}

{% set thirdColumn %}

    {% set loginLabel = 'Déconnexion' %}
    {% set loginRoute = 'app_logout' %}


    {% if app.user is null %}
        {% set loginLabel = 'Connexion' %}
        {% set loginRoute = 'app_login' %}
    {% endif %}

    {% set loginIsActive = app.request.attributes.get('_route') == loginRoute %}

    <twig:Molecules:Button:DarkModeSwitcherButton/>

    <twig:Molecules:Navigation:LinkMenuItem
            label="{{ loginLabel }}"
            isActive="{{ loginIsActive }}"
            href="{{ url(loginRoute) }}"
    ></twig:Molecules:Navigation:LinkMenuItem>
{% endset %}


<twig:Molecules:Header:HeaderWithThreeColumns
        firstColumn="{{ firstColumn }}"
        secondColumn="{{ secondColumn }}"
        thirdColumn="{{ thirdColumn }}"
/>